Bug 346341 - (CVE-2007-4997) CVE-2007-4997 kernel ieee80211 off-by-two integer underflow
CVE-2007-4997 kernel ieee80211 off-by-two integer underflow
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 346361 346381 346391 346401
  Show dependency treegraph
Reported: 2007-10-23 03:43 EDT by Mark J. Cox (Product Security)
Modified: 2016-03-04 05:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-24 11:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-10-23 03:43:24 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4997 to the following vulnerability:

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem.  When the candidate has been publicized, the details for this candidate will be provided.

Comment 1 Mark J. Cox (Product Security) 2007-10-23 03:45:05 EDT
Chris Evans discovered that a malicious 80211 frame can crash machine if certain
drivers, chipsets, and firmware is in use.  


eported by Chris Evans <scarybeasts@gmail.com>:

> The summary is that an evil 80211 frame can crash out a victim's
> machine. It only applies to drivers using the 80211 wireless code, and
> only then to certain drivers (and even then depends on a card's
> firmware not dropping a dubious packet). I must confess I'm not
> keeping track of Linux wireless support, and the different protocol
> stacks etc.
> Details are as follows:
> ieee80211_rx() does not explicitly check that "skb->len >= hdrlen".
> There are other skb->len checks, but not enough to prevent a subtle
> off-by-two error if the frame has the IEEE80211_STYPE_QOS_DATA flag
> set.
> This leads to integer underflow and crash here:
> if (frag != 0)
>    flen -= hdrlen;
> (flen is subsequently used as a memcpy length parameter).


Red Hat would like to credit Chris Evans for reporting this issue.
Comment 3 Jonathan Larmour 2007-10-23 05:06:07 EDT
I should not be on this bug.
Comment 4 Mark J. Cox (Product Security) 2007-11-08 13:19:09 EST
Now also public at http://scary.beasts.org/security/CESA-2007-007.html

Note You need to log in before you can comment on or make changes to this bug.